import { HttpClient } from '@angular/common/http';
import { Player, PlayerService } from 'jtb-core-games-ui';
export declare class AdminSwitchPlayerComponent {
    private playerService;
    private http;
    revertText: string;
    revertEnabled: boolean;
    searchText: string;
    players: Player[];
    pageSize: number;
    totalPlayers: number;
    currentPage: number;
    private player;
    private loggedInPlayer;
    constructor(playerService: PlayerService, http: HttpClient);
    switchToPlayer(id: string): void;
    revertToNormal(): void;
    changePage(): void;
    refreshUsers(): void;
    private processUsers(json);
    private computeRevert();
}
